cdac.medinfo.sdk.hl7282.baselibs

## Class OCD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.OCD

- All Implemented Interfaces:
    IDataType

      public class OCD
      extends CompositeDataType

  OCD - Occurrence code and date

  This data type defines the code and associated date defining a significant event relating to a bill that may affect payer processing.

  Represents an HL7 OCD data type. This data type has the following attributes:

  1. Occurrence Code (CNE)Required
  2. Occurrence Date (DT)Required

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCD()` Default Constructor for OCD
    `OCD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for OCD class which takes two arguments and sets the value in the respective member variable.
    `OCD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for OCD class which takes five arguments and sets the value in the respective member variable.
    `OCD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for OCD class which takes six arguments and sets the value in the respective member variable.
    `OCD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `OCD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for OCD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CNE` | `getOccurrenceCode()` Returns Occurrence Code
    `DT` | `getOccurrenceDate()` Returns Occurrence Date
    `void` | `setOccurrenceCode(CNE objOccurrenceCode)` Sets the OccurrenceCode.
    `void` | `setOccurrenceDate(DT objDT)` Sets the OccurrenceDate.
    `void` | `setOccurrenceDate(java.lang.String strOccurrenceDate)` Sets the OccurrenceDate.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OCD

          public OCD()

      Default Constructor for OCD

    - #### OCD

          public OCD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### OCD

          public OCD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for OCD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### OCD

          public OCD(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for OCD class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### OCD

          public OCD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for OCD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### OCD

          public OCD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for OCD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setOccurrenceCode

          public void setOccurrenceCode(CNE objOccurrenceCode)

      Sets the OccurrenceCode.
      Parameters:
        `objOccurrenceCode` - Specifies the NUBC code for the event or occurrence relating to a bill that may affect payer processing.

    - #### setOccurrenceDate

          public void setOccurrenceDate(java.lang.String strOccurrenceDate)

      Sets the OccurrenceDate.
      Parameters:
        `strOccurrenceDate` - Specifies date the event, relating to a bill that may affect payer processing, occurred.

    - #### setOccurrenceDate

          public void setOccurrenceDate(DT objDT)

      Sets the OccurrenceDate.
      Parameters:
        `objDT` - Specifies date the event, relating to a bill that may affect payer processing, occurred.

    - #### getOccurrenceCode

          public CNE getOccurrenceCode()

      Returns Occurrence Code
      Returns:
        CNE - data type.

    - #### getOccurrenceDate

          public DT getOccurrenceDate()

      Returns Occurrence Date
      Returns:
        DT - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.